using Domain.Entities;

namespace Core.Interfaces
{
    public interface IProfessionalSpecialtyDom
    {
        Task<IEnumerable<EProfessionalSpecialty>> GetAllAsync();
        Task<EProfessionalSpecialty?> GetByNameAsync(string name);
    }
}
